Page MenuHomePhabricator

Undefined index: <lang code> from Special:MobileLanguages
Closed, ResolvedPublic

Description

Mar 22 02:00:25 mw1213: #012Notice: Undefined index: dk in /srv/mediawiki/php-1.25wmf21/extensions/MobileFrontend/includes/specials/SpecialMobileLanguages.php on line 61
Mar 22 02:00:25 mw1213: #012Notice: Undefined index: tp in /srv/mediawiki/php-1.25wmf21/extensions/MobileFrontend/includes/specials/SpecialMobileLanguages.php on line 61

Probably occurs on all of these pages (and others, that aren't dk or tp, but not those invalid entries):

(dbname, ll_title, ll_lang)
('liwiki', 'User:Nickshanks', 'dk')
('kuwiktionary', 'user:Gangleri/tests/interwiki links', 'dk')
('commonswiki', 'user:\xd7\x9c\xd7\xa2\xd7\xa8\xd7\x99 \xd7\xa8\xd7\x99\xd7\x99\xd7\xa0\xd7\x94\xd7\x90\xd7\xa8\xd7\x98/tests/interwiki links', 'dk')
('commonswiki', 'user:\xd7\x9c\xd7\xa2\xd7\xa8\xd7\x99 \xd7\xa8\xd7\x99\xd7\x99\xd7\xa0\xd7\x94\xd7\x90\xd7\xa8\xd7\x98/tests/interwiki links/sandbox', 'dk')
('commonswiki', 'user:\xd7\x9c\xd7\xa2\xd7\xa8\xd7\x99 \xd7\xa8\xd7\x99\xd7\x99\xd7\xa0\xd7\x94\xd7\x90\xd7\xa8\xd7\x98/tests/interwiki links', 'tp')
('commonswiki', 'user:\xd7\x9c\xd7\xa2\xd7\xa8\xd7\x99 \xd7\xa8\xd7\x99\xd7\x99\xd7\xa0\xd7\x94\xd7\x90\xd7\xa8\xd7\x98/tests/interwiki links/sandbox', 'tp')
('fowiki', 'Bruger:Nickshanks', 'dk')
('cewiki', 'User:Neptunerover', 'dk')
('cewiki', 'User:Neptunerover', 'tp')
('zhwiktionary', 'user:Gangleri/tests/interwiki links', 'dk')
('yiwiktionary', 'project:interwiki links/sandbox', 'dk')
('yiwiktionary', 'user:H\xc3\xa9g\xc3\xa9sippe Cormier/interwiki links', 'dk')
('kswiktionary', 'user:Gangleri/tests/interwiki links', 'dk')
('gotwiki', 'Bruger:Nickshanks', 'dk')
('iswiki', 'User:Nickshanks', 'dk')
('simplewiki', 'Bruker:Jpfagerback', 'dk')
('nowiktionary', 'user:Gangleri/tests/interwiki links', 'dk')
('plwiki', 'Dansk', 'dk')
('dawiktionary', 'user:Gangleri/tests/interwiki links', 'dk')
('rowikibooks', 'project:Interwiki links/sandbox', 'dk')
('dvwiki', 'Bruger:Nickshanks', 'dk')
('alswiki', 'User:Nickshanks', 'dk')
('nnwiktionary', 'user:Gangleri/tests/interwiki links', 'dk')
('ndswiki', 'User:Nickshanks', 'dk')
('lbwiki', 'User:Nickshanks', 'dk')
('miwiki', 'User:NevilleDNZ', 'dk')
('specieswiki', 'User:Neptunerover', 'dk')
('specieswiki', 'User:Neptunerover', 'tp')
('vewikimedia', '', 'dk')

Event Timeline

Krenair created this task.Mar 22 2015, 2:27 AM
Krenair raised the priority of this task from to Needs Triage.
Krenair updated the task description. (Show Details)
Krenair added a subscriber: Krenair.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 22 2015, 2:27 AM

Change 199177 had a related patch set uploaded (by MaxSem):
Fix notices on bogus language codes

https://gerrit.wikimedia.org/r/199177

Florian closed this task as Resolved.Apr 1 2015, 11:34 AM
Florian claimed this task.
Florian reassigned this task from Florian to MaxSem.
Florian set Security to None.
Florian removed a project: Patch-For-Review.

Change 199177 merged by jenkins-bot:
Fix notices on bogus language codes

https://gerrit.wikimedia.org/r/199177

demon triaged this task as Normal priority.Jul 9 2015, 4:40 PM